module DescriptionListHelper
  def description_list_pair(term, definition, append: nil)
    tags = [
      content_tag(:dt, "#{term}#{append}"),
      content_tag(:dd, definition),
    ]
    safe_join(tags)
  end

  def description_list_pair_for(record, attribute, append: nil)
    term        = translation_for(record, attribute)
    definition  = record.send(attribute)

    description_list_pair(term, definition, append: append)
  end

  private

  def translation_for(record, attribute)
    record.class.human_attribute_name(attribute).titleize
  end
end
